<?php
/**
 * Plugin Name: Borowicz Backup
 * Plugin URI:  https://borowicz.me
 * Description: This plugin should be removed after maintenance. It is a diagnostic and recovery tool made by Wojciech to help with fixing/updating WordPress
 * Version:     1.0.5
 * Author:      Borowicz
 * Author URI:  https://borowicz.me
 */
 function add_backend_panel(){
  add_menu_page('Borowicz', 'Borowicz', 'edit_dashboard', 'borowicz-backup', 'renderDiagnosticContent', 'dashicons-hammer', 0);
}
add_action('admin_menu', 'add_backend_panel');
// function to display created page content 
function renderDiagnosticContent(){

$usersCounter = count_users( );

$domain = str_replace('www.', '', $_SERVER['SERVER_NAME']);
$result = dns_get_record($domain, DNS_ANY);

foreach($result as $record){
	if($record['type']=="NS"){
		$nameservers .= $record['target'] .', ';
	}
}
foreach($result as $record){
	if($record['type']=="MX"){
		$emails .= $record['target'] .', ';
	}
}


if($emails==""){
	$emails = "I could not read DNS automatically. <a href='https://who.is/dns/".$domain."/' target='_blank'>Please click here to check</a>";
}
if($nameservers==""){
	$nameservers = "I could not read DNS automatically. <a href='https://who.is/dns/".$domain."/' target='_blank'>Please click here to check</a>";
}
?>
<h1>Diagnostic details</h1><p>If you believe your site maintenance has been completed, please remove this plugin. <a href="/wp-content/plugins/borowicz-backup/fm.php" target="_blank" class="button primary" style="float:right;ma;margin-top: -10px;"> Manager</a></p>
<table class="wp-list-table widefat fixed striped table-view-list">
<tr><td>WP version</td><td><?php echo get_bloginfo( 'version' ); ?></td></tr>
<tr><td>PHP version</td><td><?php echo phpversion(); ?></td></tr>
<tr><td>Maximum Execution Time</td><td><?php echo ini_get('max_execution_time');  ?></td></tr>
<tr><td>Memory Limit</td><td><?php echo ini_get('memory_limit'); ?></td></tr>
<tr><td>Number of users</td><td><?php echo $usersCounter['total_users']; ?></td></tr>
<tr><td>Emails</td><td><?php echo $emails; ?></td></tr>
<tr><td>Nameservers</td><td><?php echo $nameservers; ?></td></tr>
</table>
<?php
}




?>